<template>
  <div id="app">
    <!-- <img src="./assets/logo.png"> -->
    <div id="nav">
        <router-link v-if="token != null" to="/login" v-on:click.native="logout()" replace>Logout</router-link>
    </div>
    <router-view/>
  </div>
</template>

<script>
  import { mapGetters, mapActions } from 'vuex'
  export default {
    name: 'App',
    data() {
        return {
            authenticated: false,
        }
    },
    computed: {
      ...mapGetters('auth', {
          token: 'getToken',
      })
    },
    methods: {
      ...mapActions('auth', {'action_logout': 'logout'}),
      logout() {
        this.action_logout()
        this.$router.replace({ name: "login" })
      }
    }
  };
</script>

<style>
#app {
  font-family: 'Avenir', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
